---
- hosts: localhost

  vars:
      app_name: HelloWorld
      tomcat1: tomcat7777
      tomcat2: tomcat8888
      tomcat3: tomcat9999
  tasks:
          - name: Define variable in task.
            shell: read -r BUILD_LATEST < filename.txt &&  echo $BUILD_LATEST
            register : BUILD_LATEST
          - debug:
              var: BUILD_LATEST.stdout_lines[0]
          - get_url:
             dest: /home/devops/Downloads/apache-tomcat-9.0.34/webapps/HelloWeb.war
             force: true
             url: "{{ BUILD_LATEST.stdout_lines[0]}}"
          - name: Copy the build to the docker staging server (container id) tomcat1
            shell: "docker cp /home/devops/Downloads/apache-tomcat-9.0.34/webapps/{{ app_name }}.war {{ tomcat1 }}:/usr/local/tomcat/webapps"
          - name: Copy the build to the docker staging server (container id) tomcat2
            shell: "docker cp /home/devops/Downloads/apache-tomcat-9.0.34/webapps/{{ app_name }}.war {{ tomcat2 }}:/usr/local/tomcat/webapps"
          - name: Copy the build to the docker staging server (container id) tomcat3
            shell: "docker cp /home/devops/Downloads/apache-tomcat-9.0.34/webapps/{{ app_name }}.war {{ tomcat3 }}:/usr/local/tomcat/webapps"
